Множественные уязвимости в OXID eShop

Дата публикации:
24.03.2014
Дата изменения:
24.03.2014
Всего просмотров:
553
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:OF/RC:C) = Base:4.3/Temporal:3.2
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:OF/RC:C) = Base:4.3/Temporal:3.2
CVE ID:
CVE-2014-2016
CVE-2014-2017
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
OXID eshop 4.x
OXID eShop 5.x
Уязвимые версии: OXID eShop Professional, Community и Enterprise 4.х, 5.х, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и HTTP response splitting атаку.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "searchtag" в сценарии tag/sample/sample-name.html (когда "listtype" установлен в "tag" и "cur" и "pgNr" установлены в доступных значениях). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в HTTP заголовках в параметрах "anid", "cnid" и "listtype" в сценарии index.php (когда "actcontrol" и "cl" установлены в "start" или "details", "fnc" установлены в "tobasket", "aid", "am", "lang", "pgNr", "stoken" и "varselid[0]"). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные HTTP заголовки в ответ отправителю.

URL производителя: http://www.oxid-esales.com

Решение: Установите последнюю версию 4.7.11/5.0.11 и 4.8.4/5.1.4 с сайта производителя.

Ссылки: http://wiki.oxidforge.org/Security_bulletins/2014-001
http://wiki.oxidforge.org/Security_bulletins/2014-002

или введите имя

CAPTCHA